Anyone get Ximian-Connector working?

Talk about anything related to Gentoox or Gentoo.
Post Reply
Tyr
Newbie
Posts: 9
Joined: Thu Aug 05, 2004 2:13 am

Anyone get Ximian-Connector working?

Post by Tyr » Sat Aug 07, 2004 6:10 pm

Has anyone got the Novell Exchange connector (Ximian-Connector) working for GentooX?

I did a emerge ximian-connector and it did all of the dependencies the halted on the finally step of downloading/installing ximian-connector and gave a message stating you have to download the RPM manually etc. I didn't think Gentoo used RPMs? Also, when I got to Novell's site of course Gentoo is not listed as a supported OS.

To add more complications, I'm a noob to Linux. :)

Any help is appreciated,

-=Tyr

User avatar
nobspangle
Gentoox Guru!
Posts: 1681
Joined: Sun Sep 28, 2003 11:59 am
Location: Manchester, UK

Post by nobspangle » Sun Aug 08, 2004 9:32 am

certain packages are governed by licenses that mean gentoox cannot distribute the source/package. You need to go to the location it describes and download the appropriate file. However it seems that from version 1.4.7.2 novell have changed the license to GNU so if you install this version it will download and compile in the normal way. To get this version:

Code: Select all

echo "mail-client/ximian-connector ~x86" >> /etc/portage/package.keywords
emerge ximian-connector

If you don't have a /etc/portage directory you will need to create it first.
If you keep an open mind, will your brain fall out?

Tyr
Newbie
Posts: 9
Joined: Thu Aug 05, 2004 2:13 am

Post by Tyr » Sun Aug 08, 2004 7:07 pm

Here's the mesage I get:

Xbox portage # echo "mail-client/ximian-connector ~x86" >> /etc/portage/package keywords

Xbox portage # emerge ximian-connector
Calculating dependencies ...done!
>>> emerge (1 of 1) mail-client/ximian-connector-1.4.6.0.6.1 to /
!!! ximian-connector-1.4.6-0.ximian.6.1.i386.rpm not found in /usr/portage/distfiles.

!!! mail-client/ximian-connector-1.4.6.0.6.1 has fetch restriction turned on.
!!! This probably means that this ebuild's files must be downloaded
!!! manually. See the comments in the ebuild for more information.

* This package requires that you download the rpm from:
* http://ximian.com/products/connector/do ... nload.html
* and place it in .
*
* NOTE: x86 users should download the package for i386

Tyr
Newbie
Posts: 9
Joined: Thu Aug 05, 2004 2:13 am

Post by Tyr » Sun Aug 08, 2004 7:27 pm

Ok, so I went to the URL to download the Ximina-Connector and read that it is now called Evolution and is under the GNU as you stated.

So I did a emerge on Evolution...

Xbox portage # emerge --pretend evolution

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild R ] mail-client/evolution-1.4.6

It is installing now.. I'll give an update when it's done.

-=Tyr

User avatar
nobspangle
Gentoox Guru!
Posts: 1681
Joined: Sun Sep 28, 2003 11:59 am
Location: Manchester, UK

Post by nobspangle » Sun Aug 08, 2004 10:41 pm

only the 1.4.7.2 version is gnu you need to use the ~x86 verison because it is not marked stable in the portage tree.
If you keep an open mind, will your brain fall out?

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest